D4Science Infrastructure - Task #9668

Produce ansible role for GeoNetwork 3.x
Sep 12, 2017 06:13 PM - Fabio Sinibaldi

Status: Closed Start date: Sep 12, 2017
Priority: Normal Due date:

Assignee: Andrea Dell'’Amico % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: SDI-nodes management

Infrastructure: Development, Production

Description

Configuration of GeoNetwork 3 is different from previous versions, so a different rule must be produced.
Following are the changes from previous versions' ansible rules.

1. The war (latest version 3.2.2) can be downloaded from
https://sourceforge.net/projects/geonetwork/files/GeoNetwork_opensource/v3.2.2/geonetwork.war/download

2. Database can be configured by editing file WEB-INF/config-db/jdbc.properties

3. The file WEB-INF/classes/setup/sql/data/data-db-default.sql initialize the database by inserting configuration settings that should
be changed. In particular the following parameters:

HOST DETAILS, values should be provided by VM requester
3.1 "system/site/name"”
3.2 "system/site/organization”

VM DETAILS, come from node settings
3.3 "system/server/host"

3.4 "system/server/protocol”

3.5 "system/server/port"

3.6 "system/server/securePort"

SDI support contact still needs to be identified
3.7 "system/feedback/email”

3.8 "system/feedback/mailServer/host"

3.9 "system/feedback/mailServer/username”

3.10 "system/feedback/mailServer/password”
3.11 "system/feedback/mailServer/ss|"

3.12 "system/feedback/mailServer/tls"

Related to VM resources and DB configuration, needs investigation on fine-tuning
3.13 "system/threadedindexing/maxthreads”

Related issues:
Blocks D4Science Infrastructure - VM Creation #9702: GeoNetwork 3 dedicated i... Closed Sep 15,2017

History

#1 - Sep 12,2017 06:14 PM - Fabio Sinibaldi
- Description updated

#2 - Sep 12,2017 06:15 PM - Fabio Sinibaldi
- Description updated

#3 - Sep 15, 2017 05:18 PM - Fabio Sinibaldi
- Blocks VM Creation #9702: GeoNetwork 3 dedicated instance for Tuna Atlas added

#4 - Sep 18, 2017 03:03 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'’Amico

#5 - Sep 18, 2017 06:58 PM - Andrea Dell'Amico

- Status changed from New to In Progress
https://sourceforge.net/projects/geonetwork/files/GeoNetwork_opensource/v3.2.2/geonetwork.war/download

- % Done changed from 0 to 70

At least config-node/srv.xml needs to be changed with the chosen DB engine.

All the three templates has been changed, there's a last piece that we can manage and it's the default admin user password. We do not have a way
to enforce a change after the installation is complete, so we should initialize the service with a password different from the default one.

#6 - Sep 18, 2017 07:54 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 70 to 90

Two points, one of them fixed:

® The sql file changed between the 3.2.1 version installed on dev and the 3.2.2 that was requested, the user table changed a column name from
enabled to isenabled and its type is now character(1) and not bool. | fixed my template and now the initialization goes through

* geoserver logs into catalina.out, a log4j.xml configuration must be setup so that it logs properly.

#7 - Sep 20, 2017 01:29 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:
Two points, one of them fixed:
e The sql file changed between the 3.2.1 version installed on dev and the 3.2.2 that was requested, the user table changed a column name

from enabled to isenabled and its type is now character(1) and not bool. | fixed my template and now the initialization goes through

We now support the 3.2.1 version too. Just tested on geonetwork2-tunaatlas.d4science.org and the setup goes well.

#8 - Sep 25, 2017 01:20 PM - Andrea Dell'’Amico
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

- Infrastructure Production added

And we now support the latest in the 3.0 series, 3.0.4.
